For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Developer Tools
CommunityContact UsConsole
HomeAPI ReferenceDocsChangelog
HomeAPI ReferenceDocsChangelog
  • API Reference
      • POSTCopy folder
      • POSTCreate folder
      • DELDelete folder
      • GETList folder children
      • GETList folders
      • PATCHMove folder
      • GETShow folder
      • PATCHUpdate folder

© 2026 Adobe Inc. All rights reserved.

TermsPrivacyDo not sell or share my personal information
Developer-friendly docs for your API
Logo
Developer Tools
CommunityContact UsConsole
API ReferenceFolders

Delete folder

DELETE
https://api.frame.io/v4/accounts/:account_id/folders/:folder_id
DELETE
/v4/accounts/:account_id/folders/:folder_id
1from frameio import Frameio
2
3client = Frameio(
4 token="YOUR_TOKEN_HERE",
5)
6
7client.folders.delete(
8 account_id="e8854db3-e722-40af-a69e-81943cae4a72",
9 folder_id="b379a1db-5075-430c-b4cc-653aedd9d105",
10)

Delete folder by id.
Rate Limits: 60 calls per 1.00 minute(s) per account_user

Was this page helpful?
Previous

List folder children

Next

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

account_idstringRequired

A Frame.io or Adobe entity identifier. Typically a Frame.io UUID. But for accounts, projects, folders, files, and version stacks that reside in Adobe cloud storage, which is the case for Workfront-connected accounts and projects, an Adobe-assigned id may also be used interchangeably. These ids must be prefixed with adobe: (e.g. adobe:<adobe_org_id> for an account, adobe:<adobe_asset_id> for a project or folder, adobe:adobe:<adobe_asset_id>|<version>` for a file asset).

folder_idstringRequired

A Frame.io or Adobe entity identifier. Typically a Frame.io UUID. But for accounts, projects, folders, files, and version stacks that reside in Adobe cloud storage, which is the case for Workfront-connected accounts and projects, an Adobe-assigned id may also be used interchangeably. These ids must be prefixed with adobe: (e.g. adobe:<adobe_org_id> for an account, adobe:<adobe_asset_id> for a project or folder, adobe:adobe:<adobe_asset_id>|<version>` for a file asset).

Response

No Content

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error